/*****************************************************************************
**  This is part of the CTSim program
**  Copyright (C) 1983-2000 Kevin Rosenberg
**
**  $Id: audio.cpp,v 1.1 2000/06/19 02:58:08 kevin Exp $
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

/* NAME
 *    beep				sound a beep to user
 *
 * SYNOPSIS
 *    beep()
 */

#include "cio.h"

void cio_beep (void)
{
	cio_tone (2000.0, 0.3);
}

/* NAME
 *    tone		play a frequency sound for some duration
 *
 * SYNOPSIS
 *    tone (freq, length)
 *    double freq	frequency to play in Hertz
 *    double length	duration to play note in seconds
 */

#include <stdio.h>
#include "cio.h"

void 
cio_tone (double freq, double length)
{
#if 1
  fprintf(stdout, "\007");
#else
  cio_spkr_freq (freq);		/* Set frequency of tone */
  cio_spkr_on ();			/* Turn on speaker */
  pause (length);			/* Pause for length seconds */
  cio_spkr_off ();			/* Turn off speaker */
#endif
}
